=== debian/control ===
Source: dpkg
Section: admin
Priority: required
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
Origin: debian
Bugs: debbugs://bugs.debian.org
Homepage: http://wiki.debian.org/Teams/Dpkg
Vcs-Browser: http://git.debian.org/?p=dpkg/dpkg.git
Vcs-Git: git://git.debian.org/git/dpkg/dpkg.git
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), pkg-config, flex,
 gettext (>= 0.18), po4a (>= 0.41),
 zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev,
 libselinux1-dev (>= 1.28-4) [linux-any],
 libncursesw5-dev,
 libtimedate-perl, libio-string-perl

Package: libdpkg-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}
Description: Debian package management static library
 This package provides the header files and static library necessary to
 develop software using libdpkg, the same library used internally by dpkg.
 .
 Note though, that the API is to be considered volatile, and might change
 at any time, use at your own risk.

Package: dpkg
Architecture: any
Multi-Arch: foreign
Essential: yes
Pre-Depends: ${shlibs:Depends}, tar (>= 1.23), xz-utils
Depends: ${misc:Depends}
Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
 apt (<< 0.7.7), aptitude (<< 0.4.7-1),
# install-info transition
# see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
 tkinfo (<< 2.8-3.1), pinfo (<< 0.6.9-3.1)
Suggests: apt
Description: Debian package management system
 This package provides the low-level infrastructure for handling the
 installation and removal of Debian software packages.
 .
 For Debian package development tools, install dpkg-dev.

Package: dpkg-dev
Section: utils
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: libdpkg-perl (= ${source:Version}), libfile-fcntllock-perl, bzip2, xz-utils,
 patch, make, binutils, base-files (>= 5.0.0), ${misc:Depends}
Recommends: gcc | c-compiler, build-essential, fakeroot, gnupg, gpgv, libalgorithm-merge-perl
Suggests: debian-keyring
Breaks: dpkg-cross (<< 2.0.0), devscripts (<< 2.10.26)
Description: Debian package development tools
 This package provides the development tools (including dpkg-source)
 required to unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build;
 for example, most packages need make and the C compiler gcc.

Package: libdpkg-perl
Section: perl
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: dpkg (>= 1.15.8), perl, libtimedate-perl, ${misc:Depends}
Recommends: bzip2, xz-utils
Suggests: debian-keyring, gnupg, gpgv, binutils, patch
Breaks: dpkg-dev (<< 1.15.6)
Replaces: dpkg (<< 1.15.8), dpkg-dev (<< 1.15.6)
Description: Dpkg perl modules
 This package provides the perl modules used by the scripts
 in dpkg-dev. They cover a wide range of functionalities. Among them
 there are the following modules:
 .
  - Dpkg::Arch: manipulate Debian architecture information
  - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
  - Dpkg::Changelog: parse Debian changelogs
  - Dpkg::Checksums: generate and parse checksums
  - Dpkg::Compression::Process: wrapper around compression tools
  - Dpkg::Compression::FileHandle: transparently (de)compress files
  - Dpkg::Control: parse and manipulate Debian control information
    (.dsc, .changes, Packages/Sources entries, etc.)
  - Dpkg::Deps: parse and manipulate dependencies
  - Dpkg::ErrorHandling: common error functions
  - Dpkg::Index: collections of Dpkg::Control (Packages/Sources files for
    example)
  - Dpkg::IPC: spawn sub-processes and feed/retrieve data
  - Dpkg::Substvars: substitute variables in strings
  - Dpkg::Vendor: identify current distribution vendor
  - Dpkg::Version: parse and manipulate Debian package versions
 .
 All the packages listed in Suggests or Recommends are used by some of the
 modules.

Package: dselect
Priority: optional
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, dpkg (>= 1.13.1), ${misc:Depends}
Suggests: perl
Conflicts: dpkg-ftp, dpkg-multicd
Replaces: dpkg-ftp, dpkg-multicd
Description: Debian package management front-end
 dselect is a high-level interface for managing the installation and
 removal of Debian software packages.
 .
 Many users find dselect intimidating and new users may prefer to use
 apt-based user interfaces.
