## dpkg 1.16.7ubuntu6

=== debian/changelog ===
dpkg (1.16.7ubuntu6) quantal; urgency=low

  [ RaphaÃ«l Hertzog ]
  * Fix dpkg-source regression in "3.0 (quilt)" source packages while
    unapplying patches that remove all files in a directory. Closes:
    #683547  (LP: #1057886)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 01 Oct 2012 14:39:06 -0400

dpkg (1.16.7ubuntu5) quantal; urgency=low

  * Fix scoping issues in dpkg postinst, so we don't end up doing
    the foreign-architecture migration on every single dpkg upgrade

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Sep 2012 18:37:28 -0600

dpkg (1.16.7ubuntu4) quantal; urgency=low

  * Apply a workaround from mvo to consider RC packages as multiarch,
    during the dpkg consistency checks. (LP: #1015567). Opened bug 1057367
    to upgrade status database.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 27 Sep 2012 09:40:47 +0100

dpkg (1.16.7ubuntu3) quantal; urgency=low

  * Restore the :native qualier to the implicit build-essential
    dep in dpkg-checkbuilddeps, now that build-essential is fixed

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 Jul 2012 21:43:37 -0600

dpkg (1.16.7ubuntu2) quantal; urgency=low

  * Remove the :native qualifier from the automatic build-dep on
    build-essential in dpkg-checkbuilddeps: this broke everything

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 06 Jul 2012 04:03:53 -0600

dpkg (1.16.7ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change the multiarch downgrade version checks in prerm/postrm
      from 1.16.2 to 1.16.0~ to reflect when multiarch landed in Ubuntu.
    - Migrate dpkg multiarch conffile (and other multi-arch-related
      conf settings) to the new DB with dpkg --add-architecture, but
      keep a copy of the old conffile if it was modified.
    - Out of paranoia, keep an option handler for foreign-architecture
      that informs people that they need to scrub their config files
      and upgrade, on the off chance that the above migration fails
      for some reason (this mitigates the chances of leaving users with
      a dpkg that fails to run due to a broken config).
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.  This is useful for tools
      that hide the dpkg terminal by default and use apport for bug
      reporting with the untranslated error message.
    - Build-depend on gettext:any for cross-building support.
    - Apply patch from Steve McIntyre to special-case armhf/armel ELF
      objects in Shlibs/Objdump.pm, so we don't get incorrect deps.
    - lib/dpkg/pkg-spec.c: map unqualified package names of multiarch-same
      packages to the native arch instead of throwing an error, so that we
      don't break on upgrade when there are unqualified names stored in
      dpkg's own trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, and to also do so on upgrades from pre-conffile
      Ubuntu versions, mimicking our previous behaviour with the conffile.
  * Alter the foreign-architecture option handler to output to stderr
    instead of stdout, for people who prefer their stdout less noisy.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 06 Jul 2012 02:17:10 -0600

dpkg (1.16.7) unstable; urgency=low

  [ Guillem Jover ]
  * Fix bogus dpkg-query --control-show badusage() strings.

  [ Raphaël Hertzog ]
  * Fix dpkg-gencontrol to correctly compute the source version
    in the case of "old-style" bin-nmus. Closes: #679959

  [ Updated dselect translations ]
  * Catalan (Guillem Jover).
  * French (Christian Perrier).
  * German (Sven Joachim).
  * Swedish (Peter Krefting).

  [ Updated programs translations ]
  * French (Christian Perrier).
  * German (Sven Joachim).
  * Italian (Milo Casagrande).
  * Swedish (Peter Krefting).

  [ Updated man page translations ]
  * Swedish (Peter Krefting).

  [ Updated scripts translations ]
  * Swedish (Peter Krefting).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 02 Jul 2012 21:16:12 +0200

dpkg (1.16.6) unstable; urgency=low

  [ Guillem Jover ]
  * Do not translate SE Linux context to human readable form while unpacking,
    as that might cause the operation to fail if the mcstransd daemon
    stopped running during the transaction. Closes: #679641
    Thanks to Russell Coker <russell@coker.com.au>.
  * Add --control-list and --control-show to dpkg-query --help output.

  [ Raphaël Hertzog ]
  * Fix import of error functions in dpkg-buildflags. Regression introduced
    in 1.16.5.

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated man page translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jun 2012 21:45:10 +0200

dpkg (1.16.5) unstable; urgency=low

  [ Raphaël Hertzog ]
  * dpkg-source will now clean up after a failed application of a quilt
    patch. Closes: #652970
    And it will display a message explaining the most likely cause of
    failure (patch applying with fuzz).
  * When dpkg-source regenerates the automatic patch (with formats "2.0"
    or "3.0 (quilt)") it will keep the current patch header to avoid
    losing changes made by the maintainer.
  * Modify dpkg-source --commit to auto-whitelist modified binary files.
    That way the same command can be used whatever kind of upstream files
    has been modified.
  * dpkg-source now supports a new option --no-unapply-patches to force
    patches to be kept applied after build (used by formats "2.0" and "3.0
    (quilt)"). Closes: #643043

  [ Guillem Jover ]
  * Add a dpkg-buildflags --status action to describe the flag settings.
    Thanks to Bernhard R. Link <brlink@debian.org>. Closes: #664058
  * Add support for “binary-only” key-value option in changelogs, to allow
    marking changelog entries as part of a binary only upload, having a

