=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
@@ -10,8 +11,8 @@
 Vcs-Git: git://git.debian.org/git/dpkg/dpkg.git
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7), pkg-config, flex,
- gettext (>= 0.18), po4a (>= 0.41),
- zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev,
+ gettext:any (>= 0.18), po4a (>= 0.41),
+ zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, liblzma-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
  libncursesw5-dev,
  libtimedate-perl, libio-string-perl
@@ -32,7 +33,7 @@
 Architecture: any
 Multi-Arch: foreign
 Essential: yes
-Pre-Depends: ${shlibs:Depends}, tar (>= 1.23), xz-utils
+Pre-Depends: ${shlibs:Depends}, tar (>= 1.23)
 Depends: ${misc:Depends}
 Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
  apt (<< 0.7.7), aptitude (<< 0.4.7-1),
@@ -51,7 +52,7 @@
 Priority: optional
 Architecture: all
 Multi-Arch: foreign
-Depends: libdpkg-perl (= ${source:Version}), libfile-fcntllock-perl, bzip2, xz-utils,
+Depends: libdpkg-perl (= ${source:Version}), bzip2, xz-utils,
  patch, make, binutils, base-files (>= 5.0.0), ${misc:Depends}
 Recommends: gcc | c-compiler, build-essential, fakeroot, gnupg, gpgv, libalgorithm-merge-perl
 Suggests: debian-keyring
@@ -69,8 +70,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: dpkg (>= 1.15.8), perl, libtimedate-perl, ${misc:Depends}
-Recommends: bzip2, xz-utils
-Suggests: debian-keyring, gnupg, gpgv, binutils, patch
+Recommends: libfile-fcntllock-perl, bzip2, xz-utils
+Suggests: debian-keyring, gnupg, gpgv, gcc | c-compiler, binutils, patch
 Breaks: dpkg-dev (<< 1.15.6)
 Replaces: dpkg (<< 1.15.8), dpkg-dev (<< 1.15.6)
 Description: Dpkg perl modules
