=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,15 @@
 #!/usr/bin/make -f
 # debian/rules for the dpkg suite.
 # Copyright © 2004 Scott James Remnant <scott@netsplit.com>
+# Copyright © 2006-2012 Guillem Jover <guillem@debian.org>
 
 WFLAGS := -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
 
 # Use the in-tree dpkg-buildflags
-dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND="$(WFLAGS)" DEB_CXXFLAGS_MAINT_APPEND="$(WFLAGS)" PERL5LIB=$(CURDIR)/scripts DPKG_DATADIR=$(CURDIR) perl $(CURDIR)/scripts/dpkg-buildflags.pl
+dpkg_buildflags = \
+	DEB_CFLAGS_MAINT_APPEND="$(WFLAGS)" \
+	DEB_CXXFLAGS_MAINT_APPEND="$(WFLAGS)" \
+	$(CURDIR)/run-script perl $(CURDIR)/scripts/dpkg-buildflags.pl
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -47,6 +51,7 @@
 		--sysconfdir=/etc \
 		--localstatedir=/var \
 		--with-zlib \
+		--with-liblzma \
 		--with-bz2
 
 # Build the package in build-tree
@@ -86,33 +91,6 @@
 done
 endef
 
-# Put together the dpkg and dselect packages
-binary-arch: install
-	dh_testdir -a
-	dh_testroot -a
-	dh_install --sourcedir=debian/tmp -a
-	dh_installcron -a
-	dh_installlogrotate -a
-
-	install -d debian/dpkg/sbin
-	mv debian/dpkg/usr/sbin/start-stop-daemon debian/dpkg/sbin
-
-	dh_installchangelogs -a ChangeLog*
-	dh_installdocs -a
-	$(call dpkg-installmanl10n,dpkg)
-	$(call dpkg-installmanl10n,dselect)
-	dh_installman -a
-	dh_link -a
-	dh_lintian -a
-	dh_strip -a
-	dh_compress -a
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
 # Put together the dpkg-dev package
 binary-indep: install
 	dh_testdir -i
@@ -133,7 +111,7 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary: binary-arch binary-indep
+binary: binary-indep
 
 
 # Clean up the mess we made
