=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
@@ -10,11 +11,41 @@
 Vcs-Git: git://git.debian.org/git/dpkg/dpkg.git
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7), pkg-config, flex,
- gettext (>= 0.18), po4a (>= 0.33.1),
+ gettext (>= 0.18), po4a (>= 0.41),
  zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, liblzma-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
  libncursesw5-dev,
  libtimedate-perl, libio-string-perl
+
+Package: libdpkg-dev
+Section: libdevel
+Priority: optional
+Architecture: any
+Depends: ${misc:Depends}
+Description: Debian package management static library
+ This package provides the header files and static library necessary to
+ develop software using libdpkg, the same library used internally by dpkg.
+ .
+ Note though, that the API is to be considered volatile, and might change
+ at any time, use at your own risk.
+
+Package: dpkg
+Architecture: any
+Multi-Arch: foreign
+Essential: yes
+Pre-Depends: ${shlibs:Depends}, tar (>= 1.23)
+Depends: ${misc:Depends}
+Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
+ apt (<< 0.7.7), aptitude (<< 0.4.7-1),
+# install-info transition
+# see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
+ tkinfo (<< 2.8-3.1), pinfo (<< 0.6.9-3.1)
+Suggests: apt
+Description: Debian package management system
+ This package provides the low-level infrastructure for handling the
+ installation and removal of Debian software packages.
+ .
+ For Debian package development tools, install dpkg-dev.
 
 Package: dpkg-dev
 Section: utils
@@ -67,3 +98,18 @@
  .
  All the packages listed in Suggests or Recommends are used by some of the
  modules.
+
+Package: dselect
+Priority: optional
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, dpkg (>= 1.13.1), ${misc:Depends}
+Suggests: perl
+Conflicts: dpkg-ftp, dpkg-multicd
+Replaces: dpkg-ftp, dpkg-multicd
+Description: Debian package management front-end
+ dselect is a high-level interface for managing the installation and
+ removal of Debian software packages.
+ .
+ Many users find dselect intimidating and new users may prefer to use
+ apt-based user interfaces.
