## dpkg 1.16.10

=== debian/changelog ===
dpkg (1.16.10) unstable; urgency=low

  [ Guillem Jover ]
  * Fix typos in 1.16.9 changelog entry. Closes: #691954
    Thanks to Nicolás Alvarez <nicolas.alvarez@gmail.com>.
  * Add missing @LIBLZMA_LIBS@ to Libs.Private in libdpkg.pc.in.
  * Do not use an undefined va_list variable in dpkg_put_errno().
  * Abort installation if we cannot set the security context for a file.
  * Fix OpenPGP armored signature parsing, to be resilient against doctored
    input, including source package control files. Closes: #695919
  * Make sure the OpenGPG armor contains a signature block, even on EOF.
  * Do not accept Armor Header Lines inside a paragraph.
  * Do not abort dselect when multiarch is detected, as that only makes
    users downgrade and hold on an older version w/ worse multiarch support.
  * Fix warning in Dpkg::Source::Archive with «perl -w» due to redefinition
    of getcwd() by removing unused POSIX modules usage. Closes: #700978

  [ Updated programs translations ]
  * Esperanto (Felipe Castro).
  * Spanish (Javier Fernández-Sanguino).
  * Vietnamesea (Trần Ngọc Quân). Closes: #692100

  [ Updated scripts translations ]
  * Fix mistranslation in French translation of scripts.
    Thanks to Filipus Klutiero. Closes: #698530
  * Fix typos in French translation of scripts.
    Thanks to Sylvestre Ledru. Closes: #702627
  * Fix Russian translation (wrong order of parameters in a string).
    Thanks to Andrey Rahmatullin for noticing and Yuri Kozlov for fixing
    the translation. Closes: #698869

 -- Guillem Jover <guillem@debian.org>  Fri, 08 Mar 2013 04:41:26 +0100
