## dpkg 1.16.12

=== debian/changelog ===
dpkg (1.16.12) stable; urgency=low

  * Fix value caching in Dpkg::Arch by not shadowing the variables.
    Closes: #724949

 -- Guillem Jover <guillem@debian.org>  Mon, 30 Sep 2013 16:52:37 +0200

dpkg (1.16.11) stable; urgency=low

  [ Raphaël Hertzog ]
  * Fix usage of non-existent _() function in multiple places of the Perl
    code. Thanks to Lincoln Myers <lincoln@netapp.com> for the patch.
    Closes: #708607

  [ Guillem Jover ]
  * Fix chmod() arguments order in Dpkg::Source::Quilt. Closes: #710265
    Thanks to Pablo Oliveira <pablo@sifflez.org>.
  * Only ignore older packages if the existing version is informative. This
    allows any program using libdpkg to parse the available file to see again
    packages with versions lesser than 0-0 (like 0~0-0). Closes: #676664
  * Fix use after free in dpkg_arch_load_list() on libdpkg.
    Reported by Pedro Ribeiro <pedrib@gmail.com>.

  [ Updated programs translations ]
  * Vietnamese (Trần Ngọc Quân). Closes: #715334

  [ Added man page translations ]
  * Italian (Beatrice Torracca). Closes: #711647

  [ Updated man page translations ]
  * Japanese (TAKAHASHI Motonobu). Closes: #704240

 -- Guillem Jover <guillem@debian.org>  Mon, 23 Sep 2013 16:51:18 +0200
