=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
@@ -41,6 +40,7 @@
 # see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
  tkinfo (<< 2.8-3.1), pinfo (<< 0.6.9-3.1)
 Suggests: apt
+Replaces: manpages-it (<< 2.80-4)
 Description: Debian package management system
  This package provides the low-level infrastructure for handling the
  installation and removal of Debian software packages.
@@ -57,6 +57,7 @@
 Recommends: gcc | c-compiler, build-essential, fakeroot, gnupg, gpgv, libalgorithm-merge-perl
 Suggests: debian-keyring
 Breaks: dpkg-cross (<< 2.0.0), devscripts (<< 2.10.26)
+Replaces: manpages-it (<< 2.80-4)
 Description: Debian package development tools
  This package provides the development tools (including dpkg-source)
  required to unpack, build and upload Debian source packages.
@@ -106,7 +107,7 @@
 Depends: ${shlibs:Depends}, dpkg (>= 1.13.1), ${misc:Depends}
 Suggests: perl
 Conflicts: dpkg-ftp, dpkg-multicd
-Replaces: dpkg-ftp, dpkg-multicd
+Replaces: dpkg-ftp, dpkg-multicd, manpages-it (<< 2.80-4)
 Description: Debian package management front-end
  dselect is a high-level interface for managing the installation and
  removal of Debian software packages.
