## dpkg 1.16.12ubuntu1

=== debian/changelog ===
dpkg (1.16.12ubuntu1) saucy; urgency=low

  * Merge with Debian stable-proposed-updates, remaining changes:
    - Change the multiarch downgrade version checks in prerm/postrm
      from 1.16.2 to 1.16.0~ to reflect when multiarch landed in Ubuntu.
    - Migrate dpkg multiarch conffile (and other multi-arch-related
      conf settings) to the new DB with dpkg --add-architecture, but
      keep a copy of the old conffile if it was modified.
    - Out of paranoia, keep an option handler for foreign-architecture
      that informs people that they need to scrub their config files
      and upgrade, on the off chance that the above migration fails
      for some reason (this mitigates the chances of leaving users with
      a dpkg that fails to run due to a broken config).
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.  This is useful for tools
      that hide the dpkg terminal by default and use apport for bug
      reporting with the untranslated error message.
    - Apply patch from Steve McIntyre to special-case armhf/armel ELF
      objects in Shlibs/Objdump.pm, so we don't get incorrect deps.
    - lib/dpkg/pkg-spec.c: map unqualified package names of multiarch-same
      packages to the native arch instead of throwing an error, so that we
      don't break on upgrade when there are unqualified names stored in
      dpkg's own trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, and to also do so on upgrades from pre-conffile
      Ubuntu versions, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider RC packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - Don't set unsupported -fstack-protector in dpkg-buildflags on arm64.
  * Add ppc64el/powerpc64le support to cputable (backported from 1.17.2)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 04 Oct 2013 00:26:28 -0600

dpkg (1.16.10ubuntu3) saucy; urgency=low

  * scripts/Dpkg/Shlibs/Objdump.pm: Adjust armel/armhf special-casing
    in dpkg-shlibdeps to try the new ELF ABI flags before arch tags.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 08 Jul 2013 08:05:57 -0600

dpkg (1.16.10ubuntu2) saucy; urgency=low

  * Don't set -fstack-protector in dpkg-buildflags on arm64 (not yet
    supported).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jun 2013 09:33:34 +0200
